/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.actions;

import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

import javax.swing.ImageIcon;
import javax.swing.KeyStroke;

import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.resources.DcResources;

public class DeleteAction extends DcAction {

    private final int module;
    private int tab = -1;
    
    public DeleteAction(int module) {
        super();
        this.tab = getCurrentTab();
        this.module = module;

    }
    
    public DeleteAction() {
        super();
        this.module = DcModules.getCurrent().getIndex();
    }
    
    public KeyStroke getKeyStroke() {
        return KeyStroke.getKeyStroke(KeyEvent.VK_D, InputEvent.CTRL_MASK);
    }
    
    public void actionPerformed(ActionEvent e) {
        tab = tab == -1 ? tab = getCurrentTab() : tab;
        
        switch (tab) {
             case _SEARCHTAB:
                 DcModules.get(module).getCurrentSearchView().delete();
                break;
             case _INSERTTAB:
                 DcModules.get(module).getCurrentInsertView().delete();
                break;
         }
    }
    
    public ImageIcon getIcon() {
        return IconLibrary._icoDelete;
    }

    public String getLabelShort() {
        return DcResources.getText("lblDelete");
    }    
    
    public String getLabel() {
        return DcResources.getText("lblDelete");
    }
}
