/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.actions;

import java.awt.event.ActionEvent;

import javax.swing.ImageIcon;

import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.modules.TemplateModule;
import net.sf.dc.core.resources.DcResources;

public class ManageTemplatesAction extends DcAction {

	private int modIdx;
    private String title; 
	
    public ManageTemplatesAction(int modIdx, String title) {
        super();
        this.title = title;
        this.modIdx = modIdx;
    }      
    
    public void actionPerformed(ActionEvent e) {
        DcModule module = DcModules.get(modIdx);
        TemplateModule m = module.getTemplateModule();
        if (m != null)
            m.getForm().setVisible(true);
    }
    
    public ImageIcon getIcon() {
        return IconLibrary._icoTemplate;
    }

    public String getLabel() {
        return DcResources.getText("lblManageX", title);
    }
}
