/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.actions;

import java.awt.event.ActionEvent;

import javax.swing.ImageIcon;

import net.sf.dc.core.DataCrow;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.resources.DcResources;

public class SaveSelectedAction extends DcAction {

    public SaveSelectedAction() {
        super();
    }    
    
    public void actionPerformed(ActionEvent e) {
        int tab = DataCrow.mainFrame.getSelectedTab();
        switch (tab) {
            case _SEARCHTAB:
                getModule().getCurrentSearchView().saveSelected();
               break;
            case _INSERTTAB:
                getModule().getCurrentInsertView().saveSelected();
               break;
        }
    }
    
    public ImageIcon getIcon() {
        return IconLibrary._icoSave;
    }

    public String getLabelShort() {
        return DcResources.getText("lblSaveItem", "");
    }
    
    public String getLabel() {
        return DcResources.getText("lblSaveItem", getModule().getObjectName());
    }
}
