/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.actions;

import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

import javax.swing.ImageIcon;
import javax.swing.KeyStroke;

import net.sf.dc.console.MainFrame;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.resources.DcResources;
import net.sf.dc.util.FileLauncher;

public class StartProgramAction extends DcAction {
	
    public StartProgramAction() {
        super();
    }    
    
    public void actionPerformed(ActionEvent e) {
    	DcModule module = getModule().getChild() != null ? getModule().getChild() : getModule();
    	
        DcObject dco;
        if (DataCrow.mainFrame.getSelectedTab() == MainFrame._SEARCHTAB) 
            dco = module.getCurrentSearchView().getSelectedObject();
        else
            dco = module.getCurrentInsertView().getSelectedObject();
    	
        if (dco == null) 
            return;
        else if (getModule().getIndex() == DcModules._MEDIA) 
        	dco.reload();
        
        new FileLauncher(dco.getFilename()).launchFile();
    }
    
    public KeyStroke getKeyStroke() {
        return KeyStroke.getKeyStroke(KeyEvent.VK_P, InputEvent.CTRL_MASK);
    }
    
    public ImageIcon getIcon() {
        return IconLibrary._icoOpenApplication;
    }

    public String getLabel() {
        return DcResources.getText("lblStartProgram");
    }
}
