/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.actions;

import java.awt.event.ActionEvent;

import javax.swing.ImageIcon;
import javax.swing.KeyStroke;

import net.sf.dc.core.DataCrow;
import net.sf.dc.core.DcRepository;
import net.sf.dc.core.resources.DcResources;
import net.sf.dc.settings.DcSettings;

public class ToggleQuickFilterBar extends DcAction {

    public ToggleQuickFilterBar() {
        super();
    }

    public void actionPerformed(ActionEvent ae) {
        boolean b = !DcSettings.getBoolean(DcRepository.settings.stShowQuickFilterBar);
        DcSettings.set(DcRepository.settings.stShowQuickFilterBar, new Boolean(b));
        
        DataCrow.mainFrame.updateQuickFilterBar();
        //DataCrow.mainFrame.pack();
    }
    
    public KeyStroke getKeyStroke() {
        return KeyStroke.getKeyStroke("F7");
    }
    
    public ImageIcon getIcon() {
        return null;
    }

    public String getLabel() {
        return DcResources.getText("lblToggleQuickFilterBar");
    } 
}
