/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components;

import java.awt.Dimension;

import net.sf.dc.console.components.renderers.RatingComboBoxRenderer;

public class DcRatingComboBox extends DcComboBox  {
    
	public DcRatingComboBox() {
        setRenderer(new RatingComboBoxRenderer());
        
        addItem(new Long(-1));
        addItem(new Long(0));
        addItem(new Long(1));
        addItem(new Long(2));
        addItem(new Long(3));
        addItem(new Long(4));
        addItem(new Long(5));
        
        setMinimumSize(new Dimension(50,18));
    }
    
    public Object getValue() {
        int index = getSelectedIndex();
        return index > 0 ? new Long(index -1) : null;
    }
}
