/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.lists.elements;

import java.awt.Color;
import java.awt.Dimension;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

import javax.swing.BorderFactory;

import net.sf.dc.console.components.DcTextPane;
import net.sf.dc.core.DcRepository;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.settings.definitions.DcFieldDefinition;
import net.sf.dc.settings.definitions.DcFieldDefinitions;

public class DcCardObjectListElement extends DcObjectListElement {

    public DcCardObjectListElement(DcObject dco) {
        super(dco);
        
        setPreferredSize(new Dimension(150, 200));
        setMaximumSize(new Dimension(150, 200));
        setMinimumSize(new Dimension(150, 200));
        
        setBorder(BorderFactory.createLineBorder(Color.WHITE));
    }
    
    public Collection getPictures() {
        Collection pictures = new ArrayList();
        
        DcFieldDefinitions definitions = dco.getModule().getFieldDefinitions();
        for (Iterator iter = definitions.iterator(); iter.hasNext(); ) {
            DcField field = dco.getField(((DcFieldDefinition) iter.next()).getIndex());
            if (field.getValueType() == DcRepository.datatypes._PICTURE)
                pictures.add(dco.getValue(field.getIndex()));
        }
        
        return pictures;
    }
    
    public void setBackground(Color color) {
        super.setBackground(Color.WHITE);
        for (int i = 0; i < getComponents().length; i++) {
            if (getComponents()[i] instanceof DcTextPane)
                getComponents()[i].setBackground(color);
        }
    }    
}