/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.panels;

import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JComponent;

import net.sf.dc.console.views.table.TableInsertView;
import net.sf.dc.console.windows.messageboxes.MessageBox;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.resources.DcResources;

public class ParentInsertTablePanel extends TableInsertView {

    /**
     * Creates the panel
     */
    public ParentInsertTablePanel(int module) {
        super(DcModules.get(module),
              DcResources.getText("lblNewItem", DcModules.get(module).getObjectName()),
              IconLibrary._icoItemsNew);
    }

    public void open() {
        cancelEdit();

        int selectedRow = table.getSelectedRow();
        if (selectedRow == -1) {
            new MessageBox(DcResources.getText("msgSelectRowToOpen"), MessageBox._WARNING);
        } else {
            DcObject dco = getObjectForSaving(selectedRow);
            dco.removeRequestors();
            open(dco, false, false);
        }
    }    
    
    public Collection getChildren(String parentID) {
        return new ArrayList();
    }
    
    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }
}
