/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.renderers;

import java.awt.Component;

import javax.swing.JTable;

import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.resources.DcResources;

public class AvailabilityCellRenderer extends DcTableCellRenderer {

    public Component getTableCellRendererComponent(
            JTable table, Object o, boolean isSelected, boolean hasFocus, int row, int column) {

        super.getTableCellRendererComponent(table, o, isSelected, hasFocus, row, column);
        
        Object value = o == null ? new Boolean(true) : o;
        boolean available = new Boolean(value.toString()).booleanValue();
        if (available) {
            setText(DcResources.getText("lblAvailable"));    
            setIcon(IconLibrary._icoChecked);
            setToolTipText(DcResources.getText("lblAvailable"));
        } else {
            setText(DcResources.getText("lblUnavailable"));    
            setIcon(IconLibrary._icoUnchecked);
            setToolTipText(DcResources.getText("lblUnavailable"));
        }
            
        return this;
    }
}
