/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components.renderers;

import java.awt.Component;

import javax.swing.JList;
import javax.swing.ListCellRenderer;

import net.sf.dc.console.components.DcLabel;
import net.sf.dc.core.resources.DcResources;
import net.sf.dc.util.Utilities;

public class RatingComboBoxRenderer extends DcLabel implements ListCellRenderer {
    
    public RatingComboBoxRenderer() {
        setOpaque(true);
        setHorizontalAlignment(LEFT);
        setVerticalAlignment(CENTER);
    }

    public Component getListCellRendererComponent(
                                       JList list,
                                       Object value,
                                       int index,
                                       boolean isSelected,
                                       boolean cellHasFocus) {
        setText("");
        String emptyValue = DcResources.getText("lblEmptySearchValue");
        if (value == null || value.equals(new Long(-1))) {
            setText(" ");
            setIcon(null);
        } else if (emptyValue.equals(value)) {
            setText(emptyValue);
            setIcon(null);
        } else {
            setIcon(Utilities.getRatingIcon(value));
        }
        
        return this;
    }
}
