/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.AbstractAction;
import javax.swing.text.JTextComponent;

/**
 * @author Golan
 */
public class DcEditPopupAction {
    
    private static JTextComponent comp;
    
    /**
     * Creates a new instance of DcPopupShortAction
     */
    public DcEditPopupAction(JTextComponent comp) {
        DcEditPopupAction.comp = comp;
    }
    
     public class PopupCutAction extends AbstractAction implements ActionListener{
       public PopupCutAction(){
           super();
       }
        public void actionPerformed(ActionEvent e) {
            comp.cut();
        }
    }

    public class PopupCopyAction extends AbstractAction implements ActionListener{
        public PopupCopyAction(){
            super();
        }
        public void actionPerformed(ActionEvent e) {
           comp.copy();
        }
    }

    public class PopupPasteAction extends AbstractAction implements ActionListener{
        public PopupPasteAction(){
            super();
        }
        public void actionPerformed(ActionEvent e) {
           comp.paste();
        }
    }
    
    public class PopupSelectAllAction extends AbstractAction implements ActionListener{
        public PopupSelectAllAction(){
            super();
        }
        public void actionPerformed(ActionEvent e) {
           comp.selectAll();
        }
    }
}
