/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenuItem;

import net.sf.dc.console.windows.itemforms.DcMinimalisticItemView;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.resources.DcResources;

public class DcPropertyViewPopupMenu extends net.sf.dc.console.components.DcPopupMenu {

    public static final int _INSERT = 0;
    public static final int _SEARCH = 1;
    
    private DcMinimalisticItemView form;
    
    public DcPropertyViewPopupMenu(DcMinimalisticItemView form) {
        this.form = form;

        JMenuItem menuOpen = new JMenuItem(DcResources.getText("lblOpenItem", ""), IconLibrary._icoOpen);
        JMenuItem menuDelete = new JMenuItem(DcResources.getText("lblDelete"), IconLibrary._icoDelete);
        
        menuOpen.addActionListener(new OpenAction());
        menuDelete.addActionListener(new DeleteAction());

        add(menuOpen);
        add(menuDelete);
    }

    private class DeleteAction implements ActionListener {
        public void actionPerformed(ActionEvent arg0) {
            form.delete();
        }
    }
    
    private class OpenAction implements ActionListener {
        public void actionPerformed(ActionEvent arg0) {
            form.open();
        }
    }
}