/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.windows;

import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Collection;

import net.sf.dc.console.Layout;
import net.sf.dc.console.components.DcFrame;
import net.sf.dc.console.components.panels.LoanPanel;
import net.sf.dc.core.DcRepository;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.resources.DcResources;

public class LoanForm extends DcFrame {

    public LoanForm(Collection objects) throws Exception {
        super(DcResources.getText("lblLoan"), IconLibrary._icoLoan);
        
        setHelpIndex("dc.loans");
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                close();
            }
        });        
        
        buildForm(objects); 
    }    
    
    public void close() {
        DcModules.getCurrent().setSetting(DcRepository.modulesettings.stLoanFormSize, getSize());
        super.close();
    }
    
    private void buildForm(Collection objects) throws Exception {
        getContentPane().setLayout(Layout.getGBL());

        LoanPanel loanPanel = new LoanPanel(objects, this);
        getContentPane().add( loanPanel,   Layout.getGBC( 0, 0, 1, 1, 1.0, 1.0
                             ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH,
                              new Insets( 5, 5, 5, 5), 0, 0));

        pack();
        setSize(DcModules.getCurrent().getSettings().getDimension(DcRepository.modulesettings.stLoanFormSize));
        setCenteredLocation();        
    }
}
