/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.windows.expertuser;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.console.Layout;
import net.sf.dc.console.components.DcPanel;
import net.sf.dc.console.windows.messageboxes.MessageBox;
import net.sf.dc.core.DataCrow;
import net.sf.dc.core.db.DatabaseManager;
import net.sf.dc.core.resources.DcResources;

public class MaintenancePanel extends DcPanel {

    public MaintenancePanel() {
        super(null, null);
        buildPanel();
    }
    
    private void buildPanel() {
        setLayout(Layout.getGBL());
        
        JButton buttonCompact = ComponentFactory.getButton(DcResources.getText("lblCompactAndShutdown"));
        buttonCompact.setToolTipText(DcResources.getText("tpCompactAndShutdown"));
        buttonCompact.addActionListener(new CompactAndShutdown());
        buttonCompact.setMinimumSize(new Dimension(250, 25));
        buttonCompact.setMaximumSize(new Dimension(250, 25));
        buttonCompact.setPreferredSize(new Dimension(250, 25));
        buttonCompact.setMnemonic('C');
        
        add(buttonCompact);
    }
    
    private void compactAndShutDown() {
        try {
        	DatabaseManager.executeSQL("SHUTDOWN COMPACT", false);
            DataCrow.mainFrame.finish(false);
        } catch (Exception exp) {
        	new MessageBox(exp.getMessage(), MessageBox.ERROR);
        }
    }
    
    private class CompactAndShutdown implements ActionListener {

        public void actionPerformed(ActionEvent arg0) {
        	compactAndShutDown();
        }
    }
}
