/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core;

public abstract class DcRepository {

    public static final class system {
        
        public static final int versionMajor = 3;
        public static final int versionMinor = 0;
        public static final int versionBuild = 0;
        public static final String versionLabel = "Beta 2";

        public static final String product = "Data Crow";

        public static final String version = product + " " + versionMajor + "." + versionMinor;
        
        public static final String releasedate = "Released on November 2, 2007";
    }

    public static final class modulesettings {
        public static final String stItemFormSize = "item_form_size";
        public static final String stSearchOrder = "search_order";
        public static final String stFieldDefinitions= "field_definitions";
        public static final String stEnabled = "enabled";
        public static final String stGroupedBy = "group_by";
        public static final String stFieldSettingsDialogSize = "field_settings_dialog_size";
        public static final String stOnlineSearchFieldSettingsDialogSize = "online_search_field_settings_dialog_size";
        public static final String stOnlineSearchFieldOverwriteSettings = "online_search_field_overwrite_settings";
        public static final String stOnlineSearchRetrievedFields = "online_search_retrieved_fields";
        public static final String stOnlineSearchOverwrite = "online_search_overwrite";
        public static final String stOnlineSearchFormSize = "online_search_form_size";
        public static final String stOnlineSearchDefaultServer = "online_search_default_server";
        public static final String stOnlineSearchDefaultRegion = "online_search_default_region";
        public static final String stOnlineSearchDefaultMode = "online_search_default_mode";
        public static final String stOnlineSearchSubItems = "online_search_ub_items";
        public static final String stAutoCreateSubItems = "auto_create_subitems";
        public static final String stLoanFormSize = "loan_form_size";
        public static final String stFileImportDialogSize = "file_import_dialog_size";
        public static final String stSimpleItemViewSize = "simple_item_view_size";
        public static final String stSimpleItemFormSize = "Simple_Item_Form_Size";
        public static final String stAutoAddPerfectMatch = "auto_add_perfect_match";
        public static final String stImportCDDialogSize = "import_cd_dialog_size";
        public static final String stSynchronizerDialogSize = "synchronizer_dialog_size";
        public static final String stQuickViewFieldDefinitions = "quick_view_field_definitions";
        public static final String stQuickViewSettingsDialogSize = "quick_view_settings_dialog_size";
        public static final String stFilterDialogSize = "filter_dialog_size";
        public static final String stQuickFilterDefaultField = "quick_filter_default_field";
    }
    
    public static final class settings {
        public static final String stModuleSettings = "module_settings";
        public static final String stShowGroupingPanel = "show_grouping_panel";
        public static final String stReportFile = "report_file";
    	public static final String stShowQuickFilterBar = "show_quick_filter_bar";
        public static final String stHsqlCacheScale = "hsql_cache_scale";
        public static final String stHsqlCacheSizeScale = "hsql_cache_size_scale";
        public static final String stGarbageCollectionIntervalMs = "gargabe_collection_interval_milliseconds";
        public static final String stFontAntiAliasing = "font_anti_aliasing";
        public static final String stSelectedView = "selected_view";
        public static final String stVersionMajor = "version_major";
        public static final String stVersionMinor = "version_minor";
        public static final String stVersionBuild = "version_build";
        public static final String stSortDialogSize = "sort_dialog_size";
        public static final String stLookAndFeel = "look_and_feel";
        public static final String stShowTipsOnStartup = "show_tips_on_startup";
        public static final String stProgramDefinitions = "program_definitions";
        public static final String stQuickViewDividerLocation = "quick_view_divider_location";
        public static final String stTreeDividerLocation = "tree_divider_location";
        public static final String stReferencesDialogSize = "references_dialog_size";
        public static final String stModuleSelectDialogSize = "module_select_dialog_size";
        public static final String stResourcesEditorViewSize = "resources_editor_view_size";
        public static final String stDeleteImageFileAfterImport = "delete_images_after_import";
        public static final String stShowQuickView = "show_quick_view";
        public static final String stBackupDialogSize = "backup_dialog_size";
        public static final String stReportingDialogSize = "reporting_dialog_size";
        public static final String stModuleWizardFormSize = "module_wizard_form_size";
        public static final String stItemWizardFormSize = "item_wizard_form_size";
        public static final String stShowMenuBarLabels = "show_menubar_labels";
        public static final String stShowModuleList = "show_module_list";
        public static final String stSystemFontNormal = "system_font_normal";
        public static final String stSystemFontBold = "system_font_bold";
        public static final String stTableHeaderColor = "table_header_color";
        public static final String stOddRowColor = "odd_row_color";
        public static final String stEvenRowColor = "even_row_color";
        public static final String stRowSelectionColor = "row_selection_color";
        public static final String stBroadband = "broadband_connection";
        public static final String stTextViewerSize = "text_viewer_size";
        public static final String stLastDirectoryUsed = "last_used_directory";
        public static final String stCheckRequiredFields = "check_required_fields";
        public static final String stCheckUniqueness = "check_for_uniqueness";
        public static final String stDatabaseDriver = "database_driver";
        public static final String stConnectionString = "connection_string";
        public static final String stModule = "default_module";
        public static final String stProxyServerName = "proxy_server_name";
        public static final String stProxyServerPort = "proxy_server_port";
        public static final String stMainViewSize = "main_view_size";
        public static final String stMainViewState = "main_view_state";
        public static final String stTabbedPaneSize = "tabbed_pane_size";
        public static final String stHelpFormSize = "help_form_size";
        public static final String stExpertFormSize = "expert_form_size";
        public static final String stUpdateAllDialogSize = "update_all_dialog_size";
        public static final String stShowTableTooltip = "show_table_tooltip";
        public static final String stBrowserPath = "browser_path";
        public static final String stShowHiddenFieldsInForm = "show_hidden_fields_in_forms";
        public static final String stProxyPassword = "proxy_password";
        public static final String stProxyUserName = "proxy_username";
        public static final String stUpdateAllSelectedItemsOnly = "update_all_selected_rows_only";
        public static final String stBackupLocation = "backup_location";
    }

    public static final class collections {
        public static final String[] colMusicGenres = {"A Capela", "Acid Jazz"
            , "Acid Punk", "Acid", "Acoustic", "Alternative", "AlternRock"
            , "Ambient", "Anime", "Avantgarde", "Ballad", "Bass", "Beat"
            , "Bebob", "Big Band", "Black Metal", "Bluegrass", "Blues", "Booty Brass"
            , "BritPop", "Cabaret", "Celtic", "Chamber Music", "Chanson"
            , "Chorus", "Christian Gangsta Rap", "Christian Rap", "Christian Rock"
            , "Classic Rock", "Classical", "Club", "Club-House", "Comedy", "Contemporary Christian"
            , "Country", "Crossover", "Cult", "Dance Hall", "Dance", "Darkwave"
            , "Death Metal", "Disco", "Dream", "Drum & Bass", "Drum Solo", "Duet"
            , "Easy Listening", "Electronic", "Ethnic", "Eurodance", "Euro-House"
            , "Euro-Techno", "Fast Fusion", "Folk", "Folklore", "Folk-Rock"
            , "Freestyle", "Funk", "Fusion", "Game", "Gangsta", "Goa", "Gospel"
            , "Gothic Rock", "Gothic", "Grunge", "Hard Rock", "Hardcore", "Heavy Metal"
            , "Hip-Hop", "House", "Humour", "Indie", "Industrial", "Instrumental Pop"
            , "Instrumental Rock", "Instrumental", "Jazz", "Jazz+Funk", "JPop"
            , "Jungle", "Latin", "Lo-Fi", "Meditative", "Merengue", "Metal", "Musical"
            , "National Folk", "Native American", "Negerpunk", "New Age", "New Wave"
            , "Noise", "Oldies", "Opera", "Other", "Polka", "Polsk Punk", "Pop"
            , "Pop/Funk", "Pop-Folk", "Porn Groove", "Power Ballad", "Pranks"
            , "Primus", "Progressive Rock", "Psychadelic", "Psychedelic Rock"
            , "Punk Rock", "Punk", "R&B", "Rap", "Rave", "Reggae", "Retro"
            , "Revival", "Rhythmic Soul", "Rock & Roll", "Rock", "Salsa", "Samba"
            , "Satire", "Showtunes", "Ska", "Slow Jam", "Slow Rock", "Sonata"
            , "Soul", "Sound Clip", "Soundtrack", "Southern Rock", "Space"
            , "Speech", "Swing", "Symphonic Rock", "Symphony", "SynthPop", "Tango"
            , "Techno", "Techno-Industrial", "Terror", "Thrash Metal", "Top 40"
            , "Trailer", "Trance", "Tribal", "Trip-Hop", "Vocal"};
    }

    public static final class datatypes {
        public static final int _STRING = 0;
        public static final int _LONG = 1;
        public static final int _COLOR = 2;
        public static final int _BOOLEAN = 3;
        public static final int _STRINGARRAY = 4;
        public static final int _DIMENSION = 5;
        public static final int _INTEGERARRAY = 6;
        public static final int _PICTURE = 7;
        public static final int _DCOBJECTREFERENCE = 8;
        public static final int _FONT = 9;
        public static final int _DEFINITIONGROUP = 10;
        public static final int _DATE = 11;
        public static final int _ICON = 12;
        public static final int _BLOB = 13;
        public static final int _LOOKANDFEEL = 14;
        public static final int _DCPARENTREFERENCE = 15;
        public static final int _BIGINTEGER = 16;
        public static final int _BYTEARRAY = 17;
        public static final int _DCOBJECTCOLLECTION = 18;
    }

    public static final class operators {
        public static final String opTab = "   ";
        public static final String opSeparator = " -- ";
    }

    public static final class systemlabels {
        public static final String sysStorageMedium = "sysStorageMedium";
        public static final String sysStorageMediumPlural = "sysStorageMediumPlural";
        public static final String sysGenericModule = "sysGenericModule";
        public static final String sysContactPerson = "sysContactPerson";
        public static final String sysContactPersonPlural = "sysContactPersonPlural";
        public static final String sysLoan = "sysLoan";
        public static final String sysGenre = "sysGenre";
        public static final String sysGenrePlural = "sysGenrePlural";
        public static final String sysMovie = "sysMovie";
        public static final String sysMoviePlural = "sysMoviePlural";
        public static final String sysAudioCD = "sysAudioCD";
        public static final String sysAudioCDPlural = "sysAudioCDPlural";
        public static final String sysAudioTrack = "sysAudioTrack";
        public static final String sysAudioTrackPlural = "sysAudioTrackPlural";
        public static final String sysBook = "sysBook";
        public static final String sysBookPlural = "sysBookPlural";
        public static final String sysSoftware = "sysSoftware";
        public static final String sysSoftwarePlural = "sysSoftwarePlural";
        public static final String sysCategory = "sysCategory";
        public static final String sysCategoryPlural = "sysCategoryPlural";
        public static final String sysState = "sysState";
        public static final String sysStatePlural = "sysStatePlural";
        public static final String sysPlatform = "sysPlatform";
        public static final String sysPlatformPlural = "sysPlatformPlural";
        public static final String sysTemplate = "sysTemplate";
        public static final String sysTemplatePlural = "sysTemplatePlural";
        public static final String sysMusicAlbum = "sysMusicAlbum";
        public static final String sysMusicAlbumPlural = "sysMusicAlbumPlural";
        public static final String sysMusicTrack = "sysMusicTrack";
        public static final String sysMusicTrackPlural = "sysMusicTrackPlural";
        public static final String sysImage = "sysImage";
        public static final String sysImagePlural = "sysImagePlural";
        public static final String sysGenreMapping = "sysGenreMapping";
        public static final String sysGenreMappingPlural = "sysGenreMappingPlural";
    }

    public static final class database {
        public static final String _FIELDDATE = "date";
        public static final String _FIELDBIGINT = "bigint";
        public static final String _FIELDLONGSTRING = "varchar";
        public static final String _FIELDSTRING = "varchar";
        public static final String _FIELDOBJECT = "longvarchar";
        public static final String _FIELDBOOLEAN = "boolean";

        public static final String _PREDEFINEDQRY =
            "SELECT * FROM software WHERE category IS NOT NULL \n";
    }
}

