/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.data;

public class Operator {

    private final String name;
    private final int index;
    private final boolean needsValue; 
    
    public Operator(int index, String name, boolean needsValue) {
        this.index = index;
        this.name = name;
        this.needsValue = needsValue;
    }
    
    public boolean needsValues() {
        return needsValue;
    }
    
    public String toString() {
        return name;
    }

    public int getIndex() {
        return index;
    }
    
    public int hashCode() {
        return index;
    }
    
    public boolean equals(Operator operator) {
        return operator.getIndex() == getIndex();
    }
}
