/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.data;

import java.util.Comparator;

import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcObject;

public class ResultSorter implements Comparator {

    private DcField fld;

    public ResultSorter(DcField fld) {
        this.fld = fld;
    }

    public int compare(Object dco1, Object dco2) {
        int field = fld.getIndex();
        Object o1 = ((DcObject) dco1).getValue(field);
        Object o2 = ((DcObject) dco2).getValue(field);

        int diff = 0;
        if (o1 instanceof Long) {
            Long val1 = o1 == null ? new Long(0) : (Long) o1;
            Long val2 = o2 == null ? new Long(0) : (Long) o2;
            diff = val1.compareTo(val2);
        } else {
            String s1 = o1 == null ? "" : o1.toString().toLowerCase();
            String s2 = o2 == null ? "" : o2.toString().toLowerCase();
            diff = s1.compareTo(s2);
        }
        
        return diff;
    }
}
