/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import net.sf.dc.console.components.panels.ChildInsertTablePanel;
import net.sf.dc.console.components.panels.ChildSearchTablePanel;
import net.sf.dc.console.views.MasterView;
import net.sf.dc.console.windows.itemforms.ChildForm;
import net.sf.dc.console.windows.itemforms.DcMinimalisticItemView;
import net.sf.dc.core.modules.xml.XmlModule;
import net.sf.dc.core.objects.DcObject;

public class DcChildModule extends DcModule implements IChildModule {

    public DcChildModule(XmlModule xmlModule) {
        super(xmlModule);
    }
    
    public DcChildModule(int index, boolean topModule, String name, String description, String objectName, String objectNamePlural, String tableName, String tableShortName, String tableJoin) {
        super(index, topModule, name, description, objectName, objectNamePlural,
              tableName, tableShortName, tableJoin);
    }
    
    public DcMinimalisticItemView getItemView(DcObject parent, int module, boolean readonly) {
        return new ChildForm(parent, module, readonly);
    }
    
    protected void initializeUI() {
        if (searchView == null && insertView == null) {
            if (hasInsertView()) {
                insertView = new MasterView();
                insertView.addView(MasterView._TABLE_VIEW, new ChildInsertTablePanel(getIndex()));
            }

            if (hasSearchView()) {
                searchView = new MasterView();
                searchView.addView(MasterView._TABLE_VIEW, new ChildSearchTablePanel(getIndex(), getParent().getIndex()));
            }
        }

    }
    
    public boolean isChildModule() {
        return true;
    }
    
    public boolean isTopModule() {
        return false;
    }    
}