/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import net.sf.dc.console.ComponentFactory;
import net.sf.dc.core.DcRepository;
import net.sf.dc.core.modules.xml.XmlModule;
import net.sf.dc.core.objects.DcField;
import net.sf.dc.core.objects.DcMediaObject;

public class DcMediaModule extends DcModule {
    
    public DcMediaModule(XmlModule module) {
        super(module);
    }
    
    public DcMediaModule(int index, 
                         boolean topModule,
                         String name,
                         String description,
                         String objectName,
                         String objectNamePlural,
                         String tableName,
                         String tableShortName,
                         String tableJoin) {
        
        super(index, topModule, name, description, objectName, objectNamePlural, 
              tableName, tableShortName, tableJoin);
    }

    protected void initializeFields() {
    	super.initializeFields();

        addField(new DcField(DcMediaObject._A_TITLE, getIndex(), "Title", 
                             false, true, false, true, false,
                             255, ComponentFactory._SHORTTEXTFIELD, getIndex(), DcRepository.datatypes._STRING,
                             "Title"));
        addField(new DcField(DcMediaObject._B_DESCRIPTION, getIndex(), "Description", 
                             false, true, false, true, false, 
                             8000, ComponentFactory._LONGTEXTFIELD, getIndex(), DcRepository.datatypes._STRING,
                             "Description"));
        addField(new DcField(DcMediaObject._C_YEAR, getIndex(), "Year", 
                             false, true, false, true, false, 
                             4, ComponentFactory._NUMBERFIELD, getIndex(), DcRepository.datatypes._LONG,
                             "Year"));
        addField(new DcField(DcMediaObject._D_LOCATION, getIndex(), "Location", 
                             false, true, false, true, false, 
                             255, ComponentFactory._SHORTTEXTFIELD, getIndex(), DcRepository.datatypes._STRING,
                             "Location"));
        addField(new DcField(DcMediaObject._E_RATING, getIndex(), "Rating", 
                             false, true, false, true, false, 
                             255, ComponentFactory._RATINGCOMBOBOX, getIndex(), DcRepository.datatypes._LONG,
                             "Rating"));    
    }    
}
