/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import net.sf.dc.console.components.panels.ParentInsertTablePanel;
import net.sf.dc.console.components.panels.ParentSearchTablePanel;
import net.sf.dc.console.views.MasterView;
import net.sf.dc.console.views.list.ListInsertView;
import net.sf.dc.console.views.list.ListSearchView;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.xml.XmlModule;
import net.sf.dc.core.resources.DcResources;

public class DcMediaParentModule extends DcMediaModule  {

    public DcMediaParentModule(XmlModule xmlModule) {
        super(xmlModule);
    }
    
    public DcMediaParentModule(int index, boolean topModule, String name, String description, String objectName, String objectNamePlural, String tableName, String tableShortName, String tableJoin) {
        super(index, topModule, name, description, objectName, objectNamePlural,
              tableName, tableShortName, tableJoin);
    }
    
    protected void initializeUI() {

        if (searchView == null && insertView == null) {
            if (hasInsertView()) {
                insertView = new MasterView();
                insertView.addView(MasterView._TABLE_VIEW, new ParentInsertTablePanel(getIndex()));
                insertView.addView(MasterView._LIST_VIEW, new ListInsertView(this,
                        DcResources.getText("lblNewItem", getObjectNamePlural()), IconLibrary._icoItemsNew));
            }

            if (hasSearchView()) {
                searchView = new MasterView();
                searchView.addView(MasterView._TABLE_VIEW, new ParentSearchTablePanel(getIndex()));
                searchView.addView(MasterView._LIST_VIEW, new ListSearchView(this, getObjectNamePlural(), getIcon16()));
            }
        }
    }    
    
    public boolean isParentModule() {
        return true;
    } 
    
    public boolean isTopModule() {
        return true;
    }

}