/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.wf;

import java.util.Collection;

import net.sf.dc.core.wf.requests.IRequest;
import net.sf.dc.core.wf.requests.IUpdateUIRequest;
import net.sf.dc.core.wf.requests.RequestCollection;

public class UIUpdater implements Runnable {

    private Collection objects;
    private RequestCollection requests;
    private boolean qryWasSuccess;

    public UIUpdater(Collection values,
                     RequestCollection requestors,
                     boolean qryWasSuccess) {
        this.qryWasSuccess = qryWasSuccess;
        this.objects = values;
        this.requests = requestors;
    }

    public void close() {
        objects = null;

        if (requests != null)
            requests.clear();
        
        requests = null;
    }

    public void run() {
        if (requests != null) {
            IRequest[] requestArray = requests.getRequests();

            for (int i = 0; i < requestArray.length; i++) {
                IRequest request = requestArray[i];
                
                if (request instanceof IUpdateUIRequest) { 
                    if (qryWasSuccess || request.getExecuteOnFail())
                        request.execute(objects);
                }
            }            
        }
        close();
    }
}
