/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.wf.requests;

import java.util.Collection;

import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;

public class RemoveFromCacheRequest implements IRequest {

    private final String id;
    private final int module;
    private boolean executeOnFail = false;

    public RemoveFromCacheRequest(int module, String id) {
        this.id = id;
        this.module = module;
    }

    public void execute(Collection objects) {
        DcModule mod = DcModules.get(module);
        mod.getSearchView().removeFromCache(id);
    }

    public boolean getExecuteOnFail() {
    	return executeOnFail;
    }

    public void setExecuteOnFail(boolean b) {
    	executeOnFail = b;
    }
}
