/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.wf.requests;

import java.util.ArrayList;

public class RequestCollection {

    private ArrayList requests = new ArrayList();

    public RequestCollection() {
    }

    public RequestCollection(IRequest request) {
        addRequest(request);
    }

    public int size() {
        return requests.size();
    }
    
    public void addRequest(IRequest request) {
        requests.add(request);
    }

    public void removeRequestor(IRequest request) {
        requests.remove(request);
    }

    public void clear() {
    	requests.clear();
    }

    public IRequest[] getRequests() {
        IRequest[] requestArray;
        if (requests != null) {
            requestArray = new IRequest[requests.size()];
            requestArray = (IRequest[]) requests.toArray(requestArray);
        } else {
            requestArray = new IRequest[0];
        }
        return requestArray;
    }

    public void finalize() throws Throwable {
        try {
            requests = null;
        } finally {
            super.finalize();
        }
    }
}
