/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.wf.requests;

import java.util.Collection;

import net.sf.dc.console.MainFrame;
import net.sf.dc.console.views.View;
import net.sf.dc.core.DcRepository;
import net.sf.dc.core.modules.DcModule;
import net.sf.dc.core.modules.DcModules;
import net.sf.dc.settings.DcSettings;

public class UpdateStatusProgressBarRequest implements IRequest {

    private boolean executeOnFail = true;
    private final int module;
    private final int panel;
    private final int value;
    
    public UpdateStatusProgressBarRequest(int module, int panel, int value) {
        this.module = module;
        this.panel = panel;
        this.value = value;
    }
    
    public void execute(Collection c) {
        DcModule mod = DcModules.get(DcSettings.getInt(DcRepository.settings.stModule));
        if (mod.getIndex() != DcModules._MEDIA)
            mod = DcModules.get(module);

        try {
            View view;
            if (panel == MainFrame._SEARCHTAB) 
                view = mod.getCurrentSearchView();
            else
                view = mod.getCurrentInsertView();
            
            view.updateProgressBar(value);

        } catch (Exception ignore) {}
    }

    public boolean getExecuteOnFail() {
        return executeOnFail;
    }
    
    public void setExecuteOnFail(boolean b) {
        executeOnFail = b;
    }
}