/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.fileimporters;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.helpers.Book;

public class EbookImport extends FileImporter {

    public EbookImport() {
        super(DcModules._BOOK);
    }

    public String[] getSupportedExtensions() {
        return new String[] {"txt","chm", "doc", "pdf", "prc", "pdb", "kml", "html", "htm", "pdf", "prc"};
    }
    
    public boolean allowReparsing() {
        return true;
    }    
    
    public DcObject parse(String filename) throws ParseException {
        Book book = new Book();
        
        try {
            
//            if (filename.toLowerCase().endsWith("pdf")) {
//                Pdf
//                PDFInfo pi = new PDFDocument(filename)..getInfo();
//                
//                
//                String author = pi.getAuthor();
//                if (author != null && author.length() > 0) {
//                    Collection authors = 
//                        DataManager.createMapping(book, DcModules.getReferencedModule(book.getField(Book._G_AUTHOR)).getIndex(), 
//                                                  author);
//                    if (authors.size() > 0)
//                        book.setValue(Book._G_AUTHOR, authors);
//                }
//                
//                book.setValue(Book._B_DESCRIPTION, pi.getKeywords());
//                book.setValue(Book._A_TITLE, pi.getTitle());
//            } 
            
//            if (    book.getValue(Book._A_TITLE) == null || 
//                    book.getValue(Book._A_TITLE).toString().trim().length() == 0)

            book.setValue(Book._A_TITLE, getName(filename));
            book.setValue(Book._M_FILENAME, filename);
            book.setValue(Book._S_FILESIZE, new Long(getFileSize(filename)));
            
        } catch (Exception exp) {
            throw new ParseException(exp);
        }
        
        return book;
    }    
}
