/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.fileimporters;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.core.objects.DcObject;
import net.sf.dc.core.objects.helpers.Software;

public class SoftwareImporter extends FileImporter {

    public SoftwareImporter() {
        super(DcModules._SOFTWARE);
    }

    public String[] getSupportedExtensions() {
        return new String[] {};
    }
    
    public boolean allowReparsing() {
        return true;
    }    
    
    public DcObject parse(String filename) throws ParseException {
        Software software = new Software();
        
        try {
            software.setValue(Software._A_TITLE, getName(filename));
            software.setValue(Software._J_FILENAME, filename);
            software.setValue(Software._T_FILESIZE, new Long(getFileSize(filename)));
        } catch (Exception exp) {
            throw new ParseException(exp);
        }
        
        return software;
    }
}
