/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.onlinesearch.bol;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.onlinesearch.DcRegion;
import net.sf.dc.onlinesearch.DcSearchMode;
import net.sf.dc.onlinesearch.DcServer;
import net.sf.dc.onlinesearch.IOnlineSearchClient;
import net.sf.dc.onlinesearch.OnlineSearchTask;

public class BolServer extends DcServer {
    
    public BolServer() {
        super("Bol.com", "http://www.nl.bol.com", true, DcModules._BOOK);
        
        addMode(new KeywordSearchModeNl());
        addMode(new KeywordSearchModeEn());
        addMode(new IsbnSearchModeNl());
        addMode(new IsbnSearchModeEn());
        
        addRegion(new DcRegion("nl", "The Netherlands", "http://www.nl.bol.com"));
    }

    public OnlineSearchTask getTask(IOnlineSearchClient listener, String query, DcSearchMode mode, DcRegion region) {
        return new BolBookSearch(listener, query, this, region, mode);
    }
}
