/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.onlinesearch.musicbrainz;

import net.sf.dc.core.modules.DcModules;
import net.sf.dc.onlinesearch.DcRegion;
import net.sf.dc.onlinesearch.DcSearchMode;
import net.sf.dc.onlinesearch.DcServer;
import net.sf.dc.onlinesearch.IOnlineSearchClient;
import net.sf.dc.onlinesearch.OnlineSearchTask;

public class MusicBrainzServer extends DcServer {
    
    public MusicBrainzServer(int module) {
        super("MusicBrainz", "http://musicbrainz.org/ws/1/", true, module);
        addRegion(new DcRegion("uk", "The main server", "http://musicbrainz.org/ws/1"));
    }
    
    public OnlineSearchTask getTask(IOnlineSearchClient listener, 
            String searchString, 
            DcSearchMode mode, 
            DcRegion region) {

        if (getModule() == DcModules._AUDIOCD || getModule() == DcModules._MUSICALBUM)
            return new MusicBrainzAudioCdSearch(listener, searchString, this, region, mode);
        else 
            return new MusicBrainzArtistSearch(listener, searchString, this, region, mode);
    }     
}
