/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.onlinesearch.wikipedia;

public class RemovalTag {

    public static int _REMOVELINE = 0;
    public static int _REMOVETAG = 1;
    
    private int modus;
    private String tag;
    
    public RemovalTag(int modus, String tag) {
        this.modus = modus;
        this.tag = tag;
    }
    
    public boolean isRemoveLine() {
        return modus == _REMOVELINE;
    }
    
    public boolean isRemoveTag() {
        return modus == _REMOVETAG;
    }
    
    public String apply(String s) { 
        String result = s;
        if (isRemoveLine() && s.toLowerCase().startsWith(tag))
            result = "";
        else if (isRemoveTag() && s.toLowerCase().indexOf(tag) > -1) {
            while (result.indexOf(tag) > -1)
                result = result.substring(0, result.indexOf(tag)) +  "\n\n" + result.substring(result.indexOf(tag) + tag.length());
        }
        return result.trim();
    }
    
    public boolean isMatch(String s) {
        return isRemoveLine() && s.toLowerCase().startsWith(tag) ? true :
               isRemoveTag() && s.indexOf(tag) > -1 ? true : false;
    }
    
}
