/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.settings.definitions;

import java.util.Iterator;
import java.util.StringTokenizer;

public class QuickViewFieldDefinitions extends Definitions {

    public String getProgramForExtension(String extension) {
        for (Iterator iter = definitions.iterator(); iter.hasNext(); ) {
            ProgramDefinition definition = (ProgramDefinition) iter.next();
            if (definition.getExtension().equals(extension)) 
                return definition.getProgram();
        }
        return null;
    }
    
    private void removeDefinition(int field) {
        QuickViewFieldDefinition definition = null;
        for (Iterator iter = definitions.iterator(); iter.hasNext(); ) {
            QuickViewFieldDefinition d = (QuickViewFieldDefinition) iter.next();
            if (d.getField() == field) {
                definition = d;
                break;
            }
        }
        if (definition != null)
            definitions.remove(definition);
    }    
    
    public void addDefinition(String s) {
        StringTokenizer st = new StringTokenizer(s, "/&/");
        int field = Integer.parseInt((String) st.nextElement());
        boolean enabled = Boolean.valueOf((String) st.nextElement()).booleanValue();
        String direction = (String) st.nextElement();

        removeDefinition(field);
        addDefinition(new QuickViewFieldDefinition(field, enabled, direction));
    }     
}
