/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.util;

import java.util.LinkedList;

public class Converter {

    public static String getValidXmlTag(String s) {
        String tag = s == null ? "" : s;
        tag = tag.replaceAll(" ", "-");
        tag = tag.replaceAll("[()]", "");
        tag = tag.replaceAll("[?]", "");
        tag = tag.toLowerCase();
        return tag;        
    }
    
    public static String databaseValueConverter(String s) {
        String converted = s;
        converted = converted.replaceAll("\u0000", " ");
        converted = converted.replaceAll(">", " ");
        
        try {
            byte[] utf8 = converted.getBytes("UTF-8");
            converted = new String(utf8, "UTF-8");
        } catch (Exception ignore) {}
        
        return converted;
    }

    public static String deleteEntersFromString(String sValue) {
        String s = sValue;
        s = s.replaceAll("\n", " ");
        s = s.replaceAll("\r", " ");
        return s;
    }

    public static LinkedList stringArrayToList(String[] stringArray) {
        LinkedList c = new LinkedList();
        if (stringArray == null)
            return c;

        for (int i = 0; i < stringArray.length; i++) {
            if (stringArray[i] != null)
                c.add(stringArray[i]);
        }

        return c;
    }
}
