/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                       This file is part of Data Crow.                      *
 *       Data Crow is free software; you can redistribute it and/or           *
 *        modify it under the terms of the GNU General Public                 *
 *       License as published by the Free Software Foundation; either         *
 *              version 3 of the License, or any later version.               *
 *                                                                            *
 *        Data Crow is distributed in the hope that it will be useful,        *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.             *
 *           See the GNU General Public License for more details.             *
 *                                                                            *
 *        You should have received a copy of the GNU General Public           *
 *  License along with this program. If not, see http://www.gnu.org/licenses  *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.util;

import javax.swing.JFrame;

import net.sf.dc.core.DataCrow;

public class SwingUtil {
    
    private static JFrame rootFrame = null;

    public static void setRootFrame(JFrame f) {
    	rootFrame = f;
    }
    
    public static void shiftFocus(JFrame f) {
        if (f != null) {
        	f.toFront();
        } else {
        	DataCrow.mainFrame.toFront();
        }
    }

    public static JFrame getRootFrame() {
        if (rootFrame != null) 
            return rootFrame;    

        return DataCrow.mainFrame;
    }
}
