package net.sf.ext.ij.gui;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Image;
import java.awt.Window;

import net.sf.ext.ij.IJ;

/** This class consists of static GUI utility methods. */
public class GUI {

	/** Positions the specified window in the center of the screen. */
	public static void center(Window w) {
		Dimension screen = IJ.getScreenSize();
		Dimension window = w.getSize();
		if (window.width==0)
			return;
		int left = screen.width/2-window.width/2;
		int top = (screen.height-window.height)/4;
		if (top<0) top = 0;
		w.setLocation(left, top);
	}
	
    static private Frame frame;
    
    /** Creates a white AWT Image image of the specified size. */
    public static Image createBlankImage(int width, int height) {
        if (width==0 || height==0)
            throw new IllegalArgumentException("");
		if (GUI.frame==null) {
			GUI.frame = new Frame();
			GUI.frame.pack();
			GUI.frame.setBackground(Color.white);
		}
        Image img = GUI.frame.createImage(width, height);
        return img;
    }
    
}