package net.sf.ext.ij.plugin;
import net.sf.ext.ij.CompositeImage;
import net.sf.ext.ij.IJ;
import net.sf.ext.ij.ImagePlus;

public class Composite_Image implements PlugIn {

	public void run(String arg) {
		ImagePlus imp = IJ.getImage();
		if (imp instanceof CompositeImage)
			return;
		int z = imp.getStackSize();
		if (imp.getBitDepth()==24) {
			imp.hide();
			new CompositeImage(imp, 3).show();
		} else if (z>=2 && z<=7) {
			imp.hide();
			new CompositeImage(imp, z).show();
		} else
			IJ.error("To convert to composite color, the current\nimage must be a stack or be in RGB format.");
	}

}
