package net.sf.ext.ij.plugin.filter;
import net.sf.ext.ij.IJ;
import net.sf.ext.ij.ImagePlus;
import net.sf.ext.ij.ImageStack;
import net.sf.ext.ij.measure.Calibration;
import net.sf.ext.ij.process.ImageProcessor;
import net.sf.ext.ij.process.StackProcessor;

/** Implements the flip and rotate commands in the Image/Transformations submenu. */
public class Transformer implements PlugInFilter {
	
	ImagePlus imp;
	String arg;

	public int setup(String arg, ImagePlus imp) {
		this.arg = arg;
		this.imp = imp;
		if (arg.equals("fliph") || arg.equals("flipv"))
			return IJ.setupDialog(imp, PlugInFilter.DOES_ALL+PlugInFilter.NO_UNDO);
		else
			return PlugInFilter.DOES_ALL+PlugInFilter.NO_UNDO+PlugInFilter.NO_CHANGES;
	}

	public void run(ImageProcessor ip) {

		if (arg.equals("fliph")) {
			ip.flipHorizontal();
			return;
		}
		
		if (arg.equals("flipv")) {
			ip.flipVertical();
			return;
		}
		
		if (arg.equals("right") || arg.equals("left")) {
	    	StackProcessor sp = new StackProcessor(imp.getStack(), ip);
	    	ImageStack s2 = null;
			if (arg.equals("right"))
	    		s2 = sp.rotateRight();
	    	else
	    		s2 = sp.rotateLeft();
	    	Calibration cal = imp.getCalibration();
	    	imp.setStack(null, s2);
	    	double pixelWidth = cal.pixelWidth;
	    	cal.pixelWidth = cal.pixelHeight;
	    	cal.pixelHeight = pixelWidth;
			return;
		}
	}

}
