<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>

  <head>
    <style type="text/css" MEDIA="screen">

        h1 {    font-family: Arial, Verdana;
                font-size: 13px;
                font-weight: bolder;}

        table album , table tracks {}

        table.tracks td, table.tracks tr,
        table.album td, table.album tr {
                font-family: Arial, Verdana;
                font-size: 12px;
                vertical-align: top;
                background-color: #FFFFCC;}
    
        table.tracks th,
        table.album th {
                font-family: Arial, Verdana;
                font-weight: bolder;
                font-size: 12px;
                background-color: #FAFAD2;}
    </style>
  </head>
  
  <body>
    <h1>Audio CDs</h1>
    
    <xsl:for-each select="data-crow-objects/audio-cd">

      <h1><xsl:value-of select="title"/></h1>

      <table width="600" class="album" cellspacing="0">
        <colgroup valign="top" align="left">
          <col width="500" />
          <col width="100" />
        </colgroup>
        
        <tr>
          <td>
            <table style="border:0;" cellspacing="0" cellpadding="10" class="album">
              <colgroup valign="top" align="left">
                  <col width="100" />
                  <col width="200" />
              </colgroup>

              <tr><th>Artist</th>
                  <td><xsl:value-of select="artist"/></td></tr>

              <tr><th>Genre</th>
                  <td><xsl:for-each select="genres/genre">
                        <xsl:value-of select="name"/>
                      </xsl:for-each>
                   </td></tr>

              <tr><th>Year</th>
                  <td><xsl:value-of select="year"/></td></tr>


              <tr><th>State</th>
                  <td><xsl:value-of select="state"/></td></tr>

              <tr><th>Location</th>
                  <td><xsl:value-of select="location"/></td></tr>

              <tr><th>Rating</th>
                  <td><xsl:value-of select="rating"/></td></tr>
            </table>
          </td>
          
          <td>
            <table style="border:0;">
              <tr>
                <td>
                  <xsl:if test="picture-front != ''">
                    <img alt=""><xsl:attribute name="src"><xsl:value-of select="picture-front" /></xsl:attribute></img>
                  </xsl:if>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
     
      <br />
      
      <xsl:if test="audio-tracks/*">

      <table style="border:0;" width="600" cellspacing="0" cellpadding-left="2" class="tracks">
        <colgroup valign="top" align="left">
          <col width="20" />
          <col width="440" />
          <col width="40" />
        </colgroup>
    
        <tr><th>Nr</th>
            <th>Title</th>
            <th>Playlength</th>
        </tr>
  
        <xsl:for-each select="audio-tracks/audio-track">
          <tr><td><xsl:value-of select="track"/></td>
              <td><xsl:value-of select="title"/></td>
              <td><xsl:value-of select="playlength"/></td>
          </tr>
        </xsl:for-each>
      </table>
      
      </xsl:if>
         
      <br /><br /><br />
        
    </xsl:for-each>
    
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
